package cn.com.qmth.examcloud.core.questions.base.enums;

/**
 * @author weiwenhai
 * @describle 试卷结构类型
 * @date 2017.12.11
 */
public enum PaperStructType {

    /**
     * 简易组卷
     */
    SIMPLE("简易组卷"),

    /**
     * 精确组卷
     */
    EXACT("精确组卷"),

    /**
     * 蓝图组卷
     */
    BLUEPRINT("蓝图组卷");

    private String name;

    public String getName() {
        return name;
    }

    PaperStructType(String name) {
        this.name = name;
    }

    public static PaperStructType strToEnum(String str) {
        for (PaperStructType paperStructType : PaperStructType.values()) {
            if (paperStructType.name().equals(str)) {
                return paperStructType;
            }
        }
        return null;
    }

}